Subject: Re: bug#50851: 28.0.50; flyspell-mode overrides context-menu-mode

From: Juri Linkov <[email-masked]>
Date: Thu, 02 Dec 2021 19:49:47 +0200

>>> When clicking on a misspelled word while context-menu-mode is active,
>>> I'd expect the context menu to appear, but it seems like flyspell
>>> prevents this.
>>
>> It was a bug caused by recent changes that is fixed now.
>
> What should have fixed this? I just rebuilt the master branch and it
> still seems to open the wrong menu.

Maybe it was another bug that was fixed.

>>> Asides from preventing this inconsistency, it seems like it would be
>>> better to integrate flyspell into context-menu, to suggest corrections.
>>
>> Adapting flyspell.el to context-menu is a welcome change that requires
>> refactoring `flyspell-correct-word' and related functions to return
>> a keymap menu where every menu item is bound to a lambda that calls
>> `flyspell-do-correct' with an argument that is a correct word.

After using this more, I found a quite convenient way to use this:
type a misspelled word and the SPC character that highlights the word.
Then move two characters back, so the cursor is over the last character
of the misspelled word.  Then type S-F10 and select the right word
from the context menu.

The problem is that requires moving two characters back.
It would be nicer if the flyspell context menu would be more smart,
and detected the misspelled word before point, ignoring whitespace.